Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchMessagesFilterUnreadMention

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SearchMessagesFilter
it.tdlight.jni.TdApi.SearchMessagesFilterUnreadMention

Enclosing class:
  TdApi

public static final class TdApi.SearchMessagesFilterUnreadMention extends TdApi.SearchMessagesFilter
Returns only messages with unread mentions of the current user, or messages that are replies to their messages. When using this filter the results can't be additionally filtered by a query, a message thread or by the sending user.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.

## Constructor Summary

Constructors
Constructor
Description
`SearchMessagesFilterUnreadMention()`
Returns only messages with unread mentions of the current user, or messages that are replies to their messages.
`SearchMessagesFilterUnreadMention(DataInput input)`
Returns only messages with unread mentions of the current user, or messages that are replies to their messages.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SearchMessagesFilterUnreadMention

public SearchMessagesFilterUnreadMention()
Returns only messages with unread mentions of the current user, or messages that are replies to their messages. When using this filter the results can't be additionally filtered by a query, a message thread or by the sending user.

### SearchMessagesFilterUnreadMention

public SearchMessagesFilterUnreadMention(DataInput input) throws IOException
Returns only messages with unread mentions of the current user, or messages that are replies to their messages. When using this filter the results can't be additionally filtered by a query, a message thread or by the sending user.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`